
PHPCR - Bug # 83

Status: Closed Priority: Must have
Author: Robert Lemke Category:
Created: 2007-12-19 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Subject: phpCR tests need cleanup
Description

There are a few issues with the phpCR tests. Among them:

    -  test case class names don't comply with the naming rules: phpCR_SomeTest instead of T3_phpCR_SomeTest
    -  @package annotations are mostly wrong, referring to phpCRJackrabbit
    -  some test methods are static
    -  some methods are not documented / lack doc comments

In general, some tests look more like functional tests than like unit tests - but I might be wrong with that.

History
#1 - 2008-01-10 19:05 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2008-01-10 19:07 - Karsten Dambekalns
- Status changed from Accepted to Closed
- Sprint set to duplicate

This is more or less a duplicate of #49. I copied the relevant parts of this ticket there and resolve this one as duplicate.

#3 - 2008-07-01 17:26 - Robert Lemke
- Target version deleted (1)
